# Shipments A shipment is the act of transporting goods. A shipment object contains **to** and **from** addresses, and the parcel details that you are shipping. You can use the shipment object to retrieve shipping rates and purchase a shipping label. ## List all shipments - [GET /shipments](https://docs.goshippo.com/shippoapi/public-api/shipments/listshipments.md): Returns a list of all shipment objects. In order to filter results, you must use the below path parameters. A maximum date range of 90 days is permitted. Provided dates should be ISO 8601 UTC dates (timezone offsets are currently not supported). Optional path parameters: object_created_gt- object(s) created greater than a provided date time object_created_gte - object(s) created greater than or equal to a provided date time object_created_lt - object(s) created less than a provided date time object_created_lte - object(s) created less than or equal to a provided date time Date format examples: 2017-01-01 2017-01-01T03:30:30 or 2017-01-01T03:30:30.5 2017-01-01T03:30:30Z Example URL: https://api.goshippo.com/shipments/?object_created_gte=2017-01-01T00:00:30&object_created_lt=2017-04-01T00:00:30 ## Create a new shipment - [POST /shipments](https://docs.goshippo.com/shippoapi/public-api/shipments/createshipment.md): Creates a new shipment object. ## Retrieve a shipment - [GET /shipments/{ShipmentId}](https://docs.goshippo.com/shippoapi/public-api/shipments/getshipment.md): Returns an existing shipment using an object ID